diff --git a/pgadmin/frm/frmMain.cpp b/pgadmin/frm/frmMain.cpp
index 8bf91f0..2f8aa9d 100644
--- a/pgadmin/frm/frmMain.cpp
+++ b/pgadmin/frm/frmMain.cpp
@@ -168,8 +168,6 @@ frmMain::frmMain(const wxString &title)
 	dependencies->SetImageList(imageList, wxIMAGE_LIST_SMALL);
 	dependents->SetImageList(imageList, wxIMAGE_LIST_SMALL);
 
-	ResetLists();
-
 	wxColour background;
 	background = wxSystemSettings::GetColour(wxSYS_COLOUR_BTNFACE);
 	statistics->SetBackgroundColour(background);
@@ -207,6 +205,8 @@ frmMain::frmMain(const wxString &title)
 	viewMenu->Check(MNU_OBJECTBROWSER, manager.GetPane(wxT("objectBrowser")).IsShown());
 	viewMenu->Check(MNU_TOOLBAR, manager.GetPane(wxT("toolBar")).IsShown());
 
+	ResetLists();
+
 	// tell the manager to "commit" all the changes just made
 	manager.Update();
 
